@charset "UTF-8";

* {
  margin: 0;
  padding: 0;
  list-style: none;
  text-decoration: none;
  box-sizing: border-box;
}

img {
  width: 100%;
  height: auto;
  vertical-align: bottom;
}

body {
  font-family: 'Arial', sans-serif;
  line-height: 1.6;
  color: #333;
  height: 100%;
}

#wrap {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  overflow: hidden;
}

/* header */

header {
  position: relative;
}

header h1 {
  text-align: center;
  padding: 1rem;
  font-size: 2rem;
}

.nav-menu {
  height: 100vh;
  width: 300px;
  position: absolute;
  top: 0;
  right: -300px;
  z-index: 50;
  background-color: rgba(0, 0, 0, .5);
  transition: transform .5s;
}

.nav-menu.open {
  transform: translateX(-300px);
}

#js-btn {
  cursor: pointer;
  position: absolute;
  top: 10px;
  right: 10px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 6px;
  z-index: 100;
  width: 40px;
  height: 40px;
  border: 1px solid #CCC;
  border-radius: 2px;
  background: transparent;
  padding: 0;
}

/*hamburger button*/

#js-btn span {
  display: block;
  width: 60%;
  height: 2px;
  background-color: #333;
  transition: transform .5s, background-color .5s;
}

/*close button*/
#js-btn.open span:nth-child(1) {
  transform: translateY(8px) rotate(45deg);
}

#js-btn.open span:nth-child(2) {
  transform: scaleX(0);
}

#js-btn.open span:nth-child(3) {
  transform: translateY(-8px) rotate(-45deg);
}

#js-btn.open span {
  background-color: #EEE;
}

.nav-menu ul {
  list-style: none;
  padding-bottom: 1rem;
  text-align: center;
}

.nav-menu ul li {
  margin: 0 10px;
  padding: 10px 0;
}

.nav-menu ul li a {
  text-decoration: none;
  font-weight: bold;
  color: #0091ff;
}

/* main contents */
main {
  padding: 1rem;
  max-width: 1200px;
  margin: 0 auto;
  flex-grow: 1;
  display: grid;
  grid-template-columns: 1fr;
}

section {
  padding: 20px;
  background: #00f2ff;
  width: 100%;
}

.container {
  display: grid;
  grid-template-columns: 1fr;
  gap: 20px;
}

/* footer */
footer {
  background: #333;
  color: #fff;
  text-align: center;
  padding: 1rem;
  width: 100%;
}

/* タブレット用 */
@media all and (min-width: 600px) {
  .container {
    grid-template-columns: 1fr 1fr;
  }
}

/* コンピュータ用 */
@media all and (min-width: 1025px) {

  header h1 {
    font-size: 3rem;
  }

  .nav-menu {
    display: block;
    height: auto;
    width: 100%;
    position: static;
    background-color: transparent;
  }
  
  .nav-menu ul li {
    display: inline-block;
    padding: 0;
  }

  .nav-menu ul li a {
    color: #333;
  }

  #js-btn {
    display: none;
  }

  main {
    grid-template-columns: 1fr 1fr;
  }

  .sec01 {
    grid-row-start: 1;
    grid-row-end: 2;
    grid-column-start: 1;
    grid-column-end: 2;
  }

  .sec02 {
    grid-row-start: 1;
    grid-row-end: 2;
    grid-column-start: 2;
    grid-column-end: 3;
  }

  .sec03 {
    grid-row-start: 2;
    grid-row-end: 3;
    grid-column-start: 1;
    grid-column-end: 3;
  }

  .container {
    grid-template-columns: 1fr 1fr 1fr;
  }

}